diff sources/control-images/bootstrap-skeleton/mnt/run-build-stages.sh @ 1296:fe5af321ed29

Move bootstrap-skeleton/files to bootstrap-skeleton/mnt, to be consistent.
author Rob Landley <rob@landley.net>
date Sun, 21 Nov 2010 19:08:01 -0600
parents sources/control-images/bootstrap-skeleton/files/run-build-stages.sh@44073390f2b3
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/control-images/bootstrap-skeleton/mnt/run-build-stages.sh	Sun Nov 21 19:08:01 2010 -0600
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Run each of the individual package build files, in order.
+
+[ -z "$MANIFEST" ] && MANIFEST=/usr/src/packages
+touch "$MANIFEST"
+  
+[ -z "$FILTER" ] || FILTER="/$FILTER/d"
+for i in $(sed -r -e "$FILTER" -e "s@#.*@@" /mnt/package-list)
+do
+  if [ -z "$FORCE" ] && grep -q "$i" "$MANIFEST"
+  then
+    echo "$i already installed"
+    continue
+  fi
+  /mnt/build-one-package.sh "$i" || exit 1
+  
+  sed -i -e "/$i/d" "$MANIFEST" &&
+  echo "$i" >> "$MANIFEST" || exit 1
+done